Page MenuHomePhabricator

MultimediaViewer lightbox appears at top of document instead of viewport
Closed, ResolvedPublic

Description

(Jotting down some issues noted while testing, things that aren't directly related to the commits.)

If you're scrolled down somewhere on a page, the viewer lightbox pops up waaay up at the top of the document, and you have to go scrolling up to find your image and the close box.

The lightbox should be positioned to the viewport (probably use CSS position:fixed) so no scrolling is needed.


Version: unspecified
Severity: normal

Details

Reference
bz55476

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:17 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz55476.
brion created this task.Oct 8 2013, 6:33 PM

Technically an upstream bug in multilightbox - I'll tell that lazy maintainer (spoiler alert: it's me) to fix his shit.

Bit anticlimactic but still.

Taking, will work on it now.

Change 92353 had a related patch set uploaded by MarkTraceur:
position: fixed for multilightbox

https://gerrit.wikimedia.org/r/92353

Looks fixed to me, in the patch.

Thanks for this good suggestion, Brion. Makes good sense to me, and this is definitely high priority for the first release. :)

Change 92353 merged by jenkins-bot:
position: fixed for multilightbox

https://gerrit.wikimedia.org/r/92353

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:24 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:23 AM